Skip to main content
GET
/
projects
/
{slug}
/
environments
/
{environmentSlug}
/
variables
/
{name}
/
history
Get variable history
curl --request GET \
  --url https://api.envless.cloud/projects/{slug}/environments/{environmentSlug}/variables/{name}/history \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "code": 200,
  "message": "OK",
  "data": {
    "events": [
      {
        "id": "<string>",
        "type": "updated",
        "metadata": {},
        "actor": {
          "id": "<string>",
          "name": "<string>",
          "email": "<string>"
        },
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "limit": 123,
      "offset": 123,
      "totalCount": 123,
      "hasMore": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.envless.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Personal access key from https://app.envless.cloud/keys. Pass as Authorization: Bearer ev_live_....

Path Parameters

slug
string
required

The project's slug.

environmentSlug
string
required

The environment's slug.

name
string
required

The variable's name.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Paginated list of events

success
boolean
Example:

true

code
integer
Example:

200

message
string
Example:

"OK"

data
object